/*
 * @author Christian Ropposch, member of the ISAC-team, 
 * Copyright (c) 2007 by Christian Ropposch 
 * created Jun 13, 2007 5:53:44 PM
 * Institute for Softwaretechnology, Graz University of Technology, Austria.
 * 
 * Use is subject to PGPL license terms.
 * 
 * Test-case tests if connection to database is 
 */

package isac.users;

import isac.util.ObjectManagerPaths;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import junit.framework.TestCase;

public class TestDatabaseConnection extends TestCase {
    private boolean logging_enabled_ = false;

    public void testDatabaseConnection() {
	Connection connection = null;
	PreparedStatement statement = null;
	ResultSet rs = null;

	try {
	    Class.forName("com.mysql.jdbc.Driver");
	} catch (ClassNotFoundException e) {
	    e.printStackTrace();
	}
	try {
	    // connect to database isac
	    logging_enabled_ = ObjectManagerPaths.LOGGER_DATABASE_ENABLED;
	    if (logging_enabled_) {
		connection = DriverManager.getConnection("jdbc:mysql://"
			+ ObjectManagerPaths.LOGGER_DATABASE_PATH + ":"
			+ ObjectManagerPaths.LOGGER_DATABASE_PORT + "/"
			+ ObjectManagerPaths.LOGGER_DATABASE_NAME
			+ "?useUnicode=true&characterEncoding=UTF-8",
			ObjectManagerPaths.LOGGER_DATABASE_USER,
			ObjectManagerPaths.LOGGER_DATABASE_PASSWORD);
		int i = 1;
		// insert some values into table test
		statement = connection.prepareStatement(
			"insert into UserTest(TestValue) values (?)",
			PreparedStatement.RETURN_GENERATED_KEYS);
		while (i <= 10) {
		    statement.setString(1, i + "");
		    statement.execute();
		    // get the last generated key
		    ResultSet keys = statement.getGeneratedKeys();
		    if (keys.next())
			System.out.println("new key: " + keys.getInt(1));
		    i++;
		}

		// select datarow with value 3
		statement = connection
			.prepareStatement("select * from UserTest where testvalue = ?");
		statement.setString(1, "1");
		rs = statement.executeQuery();
		while (rs.next()) {
		    int test_id = rs.getInt("usertest_id");
		    System.out.println("id of value=1: " + test_id);
		}
	    }
	} catch (SQLException e) {
	    e.printStackTrace();
	}
    }
}