/**
 * @author Alan Krempler
 * Created on Sep 19, 2003
 */

package isac.interfaces;

import isac.util.CalcEvent;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * Interface to be used to communicate in the direction towards the user.
 * 
 * @author Alan Krempler
 */
public interface IToUser extends Remote {

    /**
     * Notify a listener of the MathEngines response to an operation on a
     * calculation.
     * 
     * @param event
     *            Description of the change in the CalcTree
     */
    public void calcResponse(CalcEvent event) throws RemoteException;

}